using Avalonia.Markup.Xaml;
using Avalonia.ReactiveUI;
using detect.gui.ViewModels;
using Avalonia.Controls;
using Avalonia.Interactivity;
using detect.gui.Commons;
using ReactiveUI;

namespace detect.gui.Views;

public partial class UserView : ReactiveUserControl<UserViewModel>
{
    public UserView()
    {
        InitializeComponent();
        this.WhenActivated(d => { });
    }

    private void InitializeComponent()
    {
        AvaloniaXamlLoader.Load(this);
    }
    //
    protected override void OnLoaded(RoutedEventArgs e)
    {
        base.OnLoaded(e);
        this.GetParent<MainView>()!.WebWindow.SetAddress(4);
    }
}